> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run LinkedIn Company Employee

> Searches LinkedIn employees for one or more companies using people-style filters.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-linkedin-company-employee
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows, search execution, and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Data Sources
    description: Focused provider lookups for LinkedIn, email, phone, and company data.
paths:
  /functions/v1/run-linkedin-company-employee:
    post:
      tags:
        - Data Sources
      summary: Run LinkedIn Company Employee
      description: >-
        Searches LinkedIn employees for one or more companies using people-style
        filters.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - companies
              properties:
                companies:
                  type: array
                  items:
                    type: string
                searchQuery:
                  type: string
                maxResults:
                  type: number
                scraperMode:
                  type: string
                locations:
                  type: array
                  items:
                    type: string
                currentJobTitleFilter:
                  type: array
                  items:
                    type: string
                pastJobTitle:
                  type: array
                  items:
                    type: string
                yearsOfExperienceFilter:
                  type: array
                  items:
                    type: string
                yearsAtCurrentCompanyFilter:
                  type: array
                  items:
                    type: string
                seniorityLevelFilter:
                  type: array
                  items:
                    type: string
                functionFilter:
                  type: array
                  items:
                    type: string
                industryIds:
                  type: array
                  items:
                    type: string
                companyHeadcountFilter:
                  type: array
                  items:
                    type: string
            example:
              companies:
                - https://www.linkedin.com/company/openai/
              searchQuery: Recruiter
              maxResults: 3
              scraperMode: full
              locations:
                - Amsterdam
              currentJobTitleFilter:
                - Recruiter
      responses:
        '200':
          description: Search completed.
          content:
            application/json:
              example:
                session_id: 55555555-5555-5555-5555-555555555555
                verification_type: data_source
                kind: linkedin_company_employee
                companies:
                  - https://www.linkedin.com/company/openai/
                searchQuery: Recruiter
                maxResults: 3
                scraperMode: full
                locations:
                  - Amsterdam
                currentJobTitleFilter:
                  - Recruiter
                pastJobTitle: []
                yearsOfExperienceFilter: []
                yearsAtCurrentCompanyFilter: []
                seniorityLevelFilter: []
                functionFilter: []
                industryIds: []
                companyHeadcountFilter: []
                human: >-
                  # LinkedIn company employees


                  **Companies:** https://www.linkedin.com/company/openai/

                  - **Results returned:** 3


                  ### Jane Doe


                  - **Profile URL:** https://www.linkedin.com/in/jane-doe/

                  - **First name:** Jane

                  - **Last name:** Doe

                  - **Title:** Recruiter

                  - **Company:** OpenAI

                  - **Location:** Amsterdam

                  - **Summary:** Technical recruiting across research and
                  engineering roles.
                machine:
                  total_items: 3
                  first_item:
                    firstName: Jane
                    lastName: Doe
                    profileUrl: https://www.linkedin.com/in/jane-doe/
                    title: Recruiter
                    company: OpenAI
                    location: Amsterdam
                  items:
                    - firstName: Jane
                      lastName: Doe
                      profileUrl: https://www.linkedin.com/in/jane-doe/
                points_per_run: 30
                points_per_profile: 10
                total_points: 60
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````